<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Buffer/Replacement.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::Buffer::Replacement</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>
</div><div class="class-name">struct <a href="../Buffer.html" >Buffer</a>::Replacement

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/Buffer.hh.html" target="detail">../Synopsis/Buffer.hh</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line57" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>   <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Replacement_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r">Replacement</a>(const&#160;char* <span class="variable">from</span>, const&#160;char* <span class="variable">to</span>, const&#160;char* <span class="variable">begin</span>, unsigned&#160;long <span class="variable">length</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement_mReplacement_lconst.char_S_cconst.char_S_cconst.char_S_cunsigned.long_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line60" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">static</span>&#160;bool <a class="name" id="smaller_lconst.Replacement_A_cconst.Replacement_A_r">smaller</a>(const&#160;<a href="Replacement.html" >Replacement</a>&amp; <span class="variable">r1</span>, const&#160;<a href="Replacement.html" >Replacement</a>&amp; <span class="variable">r2</span>)  </div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement_msmaller_lconst.Replacement_A_cconst.Replacement_A_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line61" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Data members Summary:</div>
<div class="item"><div class="synopsis">const&#160;char* <a class="name" id="from">from</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement_mfrom" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line63" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;char* <a class="name" id="to">to</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement_mto" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line64" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">const&#160;char* <a class="name" id="begin">begin</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement_mbegin" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line65" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">unsigned&#160;long <a class="name" id="length">length</a></div> <div class="xref"><a href="../../../XRef/xref0.html#Synopsis_mBuffer_mReplacement_mlength" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/Buffer.hh.html#line66" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:43 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
